Page MenuHomePhabricator

[Epic] Implement Wiki Labels as a fully featured tool in Labs
Open, LowestPublic

Event Timeline

Halfak created this task.Nov 19 2016, 5:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2016, 5:51 PM

@jmatazzoni, @Catrope, @Pginer-WMF:

@Ladsgroup and I put together this Epic task for capturing all the things we think we need to do to turn Wiki labels into a stand-alone tool app. We though this would help get a good overview of what we'd like to work on in Q3.

awight renamed this task from [Epic] Implement fully featured tool in Labs to [Epic] Implement Wiki Labels as a fully featured tool in Labs.Aug 7 2017, 10:57 PM
Harej moved this task from Backlog to Front-end on the Wikilabels board.Jul 9 2018, 5:58 PM
Halfak moved this task from Untriaged to Epic on the Scoring-platform-team board.Apr 2 2019, 9:26 PM
Harej added a subscriber: Harej.Apr 2 2019, 11:59 PM

I go to https://labels.wmflabs.org and see what is ostensibly a standalone web app hosted on “Labs”. Are we ready to close this task or is the object of this task to do something else?

Harej triaged this task as Lowest priority.Apr 3 2019, 12:03 AM
Ladsgroup closed this task as Resolved.Apr 3 2019, 8:58 AM
Ladsgroup claimed this task.

This is definitely done. I did it.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 3 2019, 8:58 AM
Halfak added a comment.Apr 3 2019, 1:13 PM

There is a sub-task that is not done. The creation of admin actions. Wikilabels is not "fully-featured". I think we need to decline this task if we're not going to be doing that last bit.

I'm not sure if the admin actions should be part of this epic. Admin actions are separate thing from a "fully featured tool in Labs". Those could have been implemented when it was a gadget too.

Halfak reopened this task as Open.Apr 3 2019, 1:18 PM

The admin actions were one of the primary reason for creating this Epic. I'm OK with debating the future, but it doesn't make sense to rewrite history.

Ladsgroup removed Ladsgroup as the assignee of this task.Apr 17 2019, 6:54 PM
Ladsgroup removed a project: User-Ladsgroup.
Harej removed a subscriber: Harej.Jul 4 2019, 9:25 AM